#ifndef _MAIN_
#define _MAIN_

/*---------------------------------------------------------------------------
 *                              Constants
 *--------------------------------------------------------------------------*/
#define ARCON_BASE               "E:/hlaba"
#define COMSAT_BASE              "H:/hlabc"
#define ARCON_CANDIDATE_ACRONYM  "xx"
#define COMSAT_CANDIDATE_ACRONYM "xx"
#define COMMAND_LINE_VAD1        "encoder  [-ns_on] -dtx"
#define COMMAND_LINE_VAD2        "encoder2 [-ns_on] -dtx"

/*---------------------------------------------------------------------------

 Important notice

The mode rate and the output filename will be concatenated to the command line 

  Example
   if 
   command line is :                      "encoder  [-ns_on] -dtx"
   and Mode rate in the file descriptor : "MR74"

   Then the command line will be :   "encoder  [-ns_on] -dtx MR74 bit.tmp"

 *--------------------------------------------------------------------------*/

#define REPORT_FILENAME          "VAF_Report.txt"

/*---------------------------------------------------------------------------
 *                                For test only 
 *--------------------------------------------------------------------------*/

#define TEST   0

/*---------------------------------------------------------------------------
 *                                Types
 *--------------------------------------------------------------------------*/
typedef struct {
    int nbFrame;        /* ALL */
    int nbSpeechFrame1; /* SPEECH */
    int nbDtxSegment1;  /* SID_FIRST */
    int nbSidFrames1;   /* SID_UPDATE */
    int nbSpeechFrame2;
    int nbDtxSegment2;
    int nbSidFrames2;
} Report;

typedef enum {
   CAR_NOISE = 0,
   STREET_NOISE,
   BABBLE_NOISE,
   MUSIC,
   TALKERS,
   NB_NOISE_TYPES
} NoiseType;

typedef struct {
   NoiseType  noise;
   char      *mode;
   char      *base;
   char      *expNum;
   char      *testLabAcronym;
   char      *candidateAcronym;
   char      *comsatException;
   int        firstSample;
   int        lastSample;
   int        sampleDigitNumber;
   char      *cond;
} FileDesc;


/*---------------------------------------------------------------------------
 *                                Functions
 *--------------------------------------------------------------------------*/
Report *Process(char *file, char *Mode);


/*---------------------------------------------------------------------------
 *                                Data
 *--------------------------------------------------------------------------*/
extern FileDesc files[];

#endif
